GET api/Setting/GetSettings
Gets the application settings. Returns null if no settings exist.
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
SettingsResponseDto| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| manteinanceMode | boolean |
None. |
|
| allowRegistration | boolean |
None. |
|
| requireKyc | boolean |
None. |
|
| twoFactorAuth | boolean |
None. |
|
| sesionTimeout | integer |
None. |
|
| modificationDate | date |
None. |
|
| maxInvestmentAmount | decimal number |
None. |
|
| maxInvestors | integer |
None. |
|
| creationDate | date |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"manteinanceMode": true,
"allowRegistration": true,
"requireKyc": true,
"twoFactorAuth": true,
"sesionTimeout": 6,
"modificationDate": "2026-03-02T21:06:49.8854685-06:00",
"maxInvestmentAmount": 7.0,
"maxInvestors": 8,
"creationDate": "2026-03-02T21:06:49.8854685-06:00"
}